P4_DEFS_ARE_SEARCHED(3)

NAME
p4_defs_are_searched_also - DEFS-ARE-SEARCHED-ALSO ( -- )

SYNOPSIS

#include <pfe/useful-ext.h>

FCode p4_defs_are_searched_also(---);

DESCRIPTION

binds CONTEXT with CURRENT. If the CURRENT VOCABULARY is in the search-order (later), then the CONTEXT vocabulary will be searched also. If the result of this word could lead into a recursive lookup with FIND it will throw CURRENT_DELETED and leave the CURRENT VOCABULARY unaltered.

      example:

MY-VOC DEFINITIONS MY-VOC-PRIVATE DEFS-ARE-SEARCHED-ALSO

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>